apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: wekan
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://wekan.github.io/charts/'
    chart: wekan
    targetRevision: 7.*.*
    helm:
      values: |
        replicaCount: 1
        dbname: wekan
        env:
          - name: "MONGO_URL"
            value: "mongodb://wekan-mongodb:27017"
          - name: MAIL_URL
            value: smtp://192.168.4.125:25?ignoreTLS=true&tls={rejectUnauthorized:false}&secure=false
          - name: MAIL_FROM
            value: Noreplay admin@innovation-hub-niedersachsen.de

        end_point: wekan.innovation-hub-niedersachsen.de
        root_url: https://wekan.innovation-hub-niedersachsen.de
        
        ingress:
          enabled: true
          annotations: 
            kubernetes.io/ingress.class: traefik
            traefik.ingress.kubernetes.io/router.entrypoints: websecure
            traefik.ingress.kubernetes.io/router.tls: "true"
            cert-manager.io/cluster-issuer: lets-encrypt
          hosts:
            - wekan.innovation-hub-niedersachsen.de
          tls:
            - secretName: wekan-tls
              hosts:
                - wekan.innovation-hub-niedersachsen.de
        route:
          enabled: false
                  
        mongodb:
          enabled: true
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: wekan
  syncPolicy:
    managedNamespaceMetadata:
      labels: 
        pod-security.kubernetes.io/enforce: "privileged"
    automated:
      selfHeal: true
      prune: true
    syncOptions:
      - CreateNamespace=true
